### Enumeration

# Clapper QueueProgressionMode

#### Declaration

    enum Clapper.QueueProgressionMode

#### Description

No description available.

#### Members

`CLAPPER_QUEUE_PROGRESSION_NONE`

  Queue will not change current item after playback finishes.

  - Value: `0`
  - Available since: 0.0
`CLAPPER_QUEUE_PROGRESSION_CONSECUTIVE`

  Queue selects items one after another until the end. When end of queue is reached, this mode will continue one another item is added to the queue, playing it if player autoplay property is set, otherwise current player state is kept.

  - Value: `1`
  - Available since: 0.0
`CLAPPER_QUEUE_PROGRESSION_REPEAT_ITEM`

  Queue keeps repeating current media item.

  - Value: `2`
  - Available since: 0.0
`CLAPPER_QUEUE_PROGRESSION_CAROUSEL`

  Queue starts from beginning after last media item.

  - Value: `3`
  - Available since: 0.0
`CLAPPER_QUEUE_PROGRESSION_SHUFFLE`

  Queue selects a random media item after current one. Shuffle mode will avoid reselecting previously shuffled items as long as possible. After it runs out of unused items, shuffling begins anew.

  - Value: `4`
  - Available since: 0.0